Bug 1007830 - Increase the logging when loading quickstarts.
Increase the logging when loading quickstarts.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 08:06 EDT by Eric Rich
Modified: 2014-04-09 11:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-09 11:17:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the issue. (1.09 KB, patch)
2013-09-13 08:06 EDT, Eric Rich
no flags Details | Diff

  None (edit)
Description Eric Rich 2013-09-13 08:06:27 EDT
Created attachment 797308 [details]
Patch to fix the issue.

Description of problem:

If the syntax of the **/etc/openshift/quickstarts.json** file is wrong this file it will fail to load without warning.

How reproducible:

[
  {"quickstart": {
    "id": "1",
    "name":"Django",
    "website":"https://www.djangoproject.com/",
    "initial_git_url":"git://github.com/openshift/django-example.git",
    "cartridges":["python-2.7"],
    "summary":"A high-level Python web framework that encourages rapid development and clean, pragmatic design. Administrator (NOTE LINE BREAK HERE)
user name and password are written to $OPENSHIFT_DATA_DIR/CREDENTIALS.",
    "tags":["python","django","framework"],
    "admin_tags":[]
  }}
]

Uploading a patch to fix this issue (it should be reviewed by engineering to see if there is a better way of handling this).
Comment 1 Dan McPherson 2014-03-12 17:35:25 EDT
https://github.com/openshift/origin-server/pull/4948
Comment 2 openshift-github-bot 2014-03-12 18:45:45 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/2c6f3a34551739a9aa82b41c68e2306f88de1289
Bug 1007830 - Better error handling around quickstarts.json loading
Comment 3 Jianwei Hou 2014-03-14 01:20:32 EDT
Verified on devenv_4509

Remove the /etc/openshift/quickstarts.json, and retrieve quickstarts via 'curl -k  https://localhost:8118/api/v1/quickstarts/promoted.json', 

There was a warning in development.log: '2014-03-13 23:15:06.302 [WARN ] /etc/openshift/quickstarts.json not found! (pid:15335)'

Note You need to log in before you can comment on or make changes to this bug.